﻿using System;
using NEasy.Ldap;
using NEasyLdap.Tests.Entity;
using NUnit.Framework;

// ReSharper disable InconsistentNaming
// ReSharper disable SuggestUseVarKeywordEvident
namespace NEasyLdap.Tests.BasicAccessTests
{
    [TestFixture()]
    public class Filter_UserWithComment_In_AD_
    {
        private LdapRepository sut;

        [SetUp()]
        public void Setup()
        {
            Console.WriteLine();

            sut = new LdapRepository(
                new LdapDomainInfo("mentzel.org", "DC=Mentzel,DC=org"));
        }

        [Test()]
        public void Find_Administrator()
        {
            var persons = sut.Find(new UserWithComment() { SAMAccountName = "Administrator" });
        }

    }
}
