﻿using System;

namespace NEasy.Ldap.Attributes
{
    /// <summary>
    /// define a mapping between AD and class
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
    public class LdapPrimaryAttributeAttribute : LdapAttributeAttribute
    {
        public LdapPrimaryAttributeAttribute(string ldapAttributeName)
            : base(ldapAttributeName)
        {
            base.IsPrimary = true;

        }
    }
}