﻿using NEasy.Ldap.Attributes;

// ReSharper disable InconsistentNaming
namespace NEasy.Ldap.Entity
{
    /// <summary>
    /// base class for all AD groups
    /// </summary>
    public class LdapGroupBase : LdapObjectBase
    {
        public LdapGroupBase()
        {
            this.schemaClassName = "user";
        }

        /// <summary>
        /// sAMAccountName of the principal
        /// </summary>
        [LdapPrimaryAttribute("sAMAccountName")]
        public string SAMAccountName { get; set; }
    }
}