﻿using System;

namespace NEasy.Ldap.Attributes
{
    /// <summary>
    /// define a mapping between AD and class
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
    public class LdapReadOnlyAttributeAttribute : LdapAttributeAttribute
    {
        public LdapReadOnlyAttributeAttribute(string ldapAttributeName)
            :base(ldapAttributeName)
        {
            base.Create = false;
            base.Update = false;
        }
    }
}